--- debathena-discuss-10.0.15.orig/Makefile.in
+++ debathena-discuss-10.0.15/Makefile.in
@@ -23,9 +23,13 @@
 
 install::
 	${MKDIR_P} ${DESTDIR}${mandir}/man1
+	${MKDIR_P} ${DESTDIR}${mandir}/man8
 	${INSTALL_DATA} ${srcdir}/discuss.1 ${DESTDIR}${mandir}/man1
+	${INSTALL_DATA} ${srcdir}/create_mtg_dir.1 ${DESTDIR}${mandir}/man1
+	${INSTALL_DATA} ${srcdir}/discussd.8 ${DESTDIR}${mandir}/man8
+	${INSTALL_DATA} ${srcdir}/disserve.8 ${DESTDIR}${mandir}/man8
 
 # Doesn't depend on clean because that would run clean target in
 # subdirectories more than once
 distclean::
-	rm -rf config.cache config.log config.status Makefile
\ No newline at end of file
+	rm -rf config.cache config.log config.status Makefile
--- debathena-discuss-10.0.15.orig/discussd.8
+++ debathena-discuss-10.0.15/discussd.8
@@ -0,0 +1,14 @@
+.\" This is an -*- nroff -*- source file.
+.\"
+.TH DISCUSSD 8 "9 September 2012" "Discuss" "deabthena-discuss-server"
+.SH NAME
+discussd \- Component of discuss server
+.SH SYNOPSIS
+.B discussd
+.SH DESCRIPTION
+The
+.B discussd
+program is a component of the discuss server.  Is it not intended to be
+run by hand.
+.SH SEE ALSO
+.BR discuss (1)
--- debathena-discuss-10.0.15.orig/discuss.1
+++ debathena-discuss-10.0.15/discuss.1
@@ -4,8 +4,7 @@
 .\"
 .\"
 .\"
-.TH DISCUSS 1 "14 April 1987"
-.FM quote "MIT SIPB"
+.TH DISCUSS 1 "14 April 1987" "debathena-discuss" "MIT SIPB"
 .SH NAME
 discuss \- Conferencing system
 .SH SYNOPSIS
--- debathena-discuss-10.0.15.orig/disserve.8
+++ debathena-discuss-10.0.15/disserve.8
@@ -0,0 +1,14 @@
+.\" This is an -*- nroff -*- source file.
+.\"
+.TH DISSERVE 8 "9 September 2012" "Discuss" "deabthena-discuss-server"
+.SH NAME
+disserve \- Component of discuss server
+.SH SYNOPSIS
+.B disserve
+.SH DESCRIPTION
+The
+.B disserve
+program is a component of the discuss server.  Is it not intended to be
+run by hand.
+.SH SEE ALSO
+.BR discuss (1)
--- debathena-discuss-10.0.15.orig/create_mtg_dir.1
+++ debathena-discuss-10.0.15/create_mtg_dir.1
@@ -0,0 +1,14 @@
+.\" This is an -*- nroff -*- source file.
+.\"
+.TH CREATE_MTG_DIR 1 "9 September 2012" "Discuss" "deabthena-discuss-server"
+.SH NAME
+create_mtg_dir \- Create a discuss meeting directory
+.SH SYNOPSIS
+.B create_mtg_dir \fIdirectory\fP
+.SH DESCRIPTION
+The
+.B create_mtg_dir
+utility creates a directory for a discuss meeting.  The directory must
+be an absolute pathname, and the \fIdiscuss\fP user must exist.
+.SH SEE ALSO
+.BR discuss (1)
--- debathena-discuss-10.0.15.orig/debian/copyright
+++ debathena-discuss-10.0.15/debian/copyright
@@ -0,0 +1,23 @@
+This package was debianized as part of the Debathena Project
+<http://debathena.mit.edu/> of the MIT Student Information Processing
+Board.
+
+The Athena source code was obtained from the Athena SVN repository at
+<svn://debathena.mit.edu/athena/trunk>, and is licensed as follows:
+
+  Copyright © 1996 by the Massachusetts Institute of Technology.
+
+  Permission to use, copy, modify, and distribute this
+  software and its documentation for any purpose and without
+  fee is hereby granted, provided that the above copyright
+  notice appear in all copies and that both that copyright
+  notice and this permission notice appear in supporting
+  documentation, and that the name of M.I.T. not be used in
+  advertising or publicity pertaining to distribution of the
+  software without specific, written prior permission.
+  M.I.T. makes no representations about the suitability of
+  this software for any purpose.  It is provided "as is"
+  without express or implied warranty.
+
+The Debian packaging is Copyright © 2007-2008 Tim Abbott and Anders
+Kaseorg, and has the same license as the original software.
--- debathena-discuss-10.0.15.orig/debian/control
+++ debathena-discuss-10.0.15/debian/control
@@ -0,0 +1,64 @@
+Source: debathena-discuss
+Section: debathena/net
+Priority: extra
+Maintainer: Debathena Project <debathena@mit.edu>
+Build-Depends: cdbs,
+ debhelper (>= 6),
+ dh-buildinfo,
+ autoconf, autotools-dev, automake1.9, debathena-aclocal, comerr-dev, ss-dev, libkrb5-dev, libzephyr-dev, bison
+Standards-Version: 3.9.1
+
+Package: debathena-discuss
+Architecture: any
+Provides: discuss
+Depends: ${shlibs:Depends}, ${misc:Depends}, netbase
+Description: Conferencing and mail archiving system
+ Discuss is a user-interface front end to a networked conferencing 
+ system.
+
+Package: debathena-discuss-emacs
+Architecture: all
+Provides: discuss-emacs
+Depends: ${shlibs:Depends}, ${misc:Depends}, debathena-discuss (>= ${source:Version}), emacs | emacsen
+Description: Emacs interface to discuss
+ Discuss is a user-interface front end to a networked conferencing 
+ system.
+ .
+ This package contains an Emacs interface to discuss.
+
+Package: debathena-discuss-server
+Architecture: any
+Provides: discuss-server
+Pre-Depends: adduser
+Depends: ${shlibs:Depends}, ${misc:Depends}, debathena-discuss (= ${binary:Version}), libzephyr4-krb5 | libzephyr3-krb, netbase, openbsd-inetd | inet-superserver
+Description: Conferencing and mail archiving system (server)
+ Discuss is a user-interface front end to a networked conferencing 
+ system.
+ .
+ This package contains the discuss server and associated utilities.
+ Note that the 'byteswap' utility is no longer needed and is not
+ included, as modern discuss servers do this automatically.
+
+Package: debathena-libdsk-dev
+Section: debathena/libdevel
+Architecture: any
+Provides: libdsk-dev
+Depends: ${shlibs:Depends}, ${misc:Depends}, debathena-libusp-dev (= ${binary:Version}), comerr-dev, libkrb5-dev
+Description: Development files for discuss library
+ Discuss is a user-interface front end to a networked conferencing 
+ system.
+ .
+ This package contains libdsk headers and static libraries for 
+ development.
+
+Package: debathena-libusp-dev
+Section: debathena/libdevel
+Architecture: any
+Provides: libusp-dev
+Depends: ${shlibs:Depends}, ${misc:Depends}, comerr-dev
+Description: Development files for UNIX Unified Stream Protocol library
+ Discuss is a user-interface front end to a networked conferencing 
+ system.
+ .
+ This package contains libusp headers and static libraries for 
+ development.
--- debathena-discuss-10.0.15.orig/debian/compat
+++ debathena-discuss-10.0.15/debian/compat
@@ -0,0 +1 @@
+6
--- debathena-discuss-10.0.15.orig/debian/control.in
+++ debathena-discuss-10.0.15/debian/control.in
@@ -0,0 +1,61 @@
+Source: debathena-discuss
+Section: debathena/net
+Priority: extra
+Maintainer: Debathena Project <debathena@mit.edu>
+Build-Depends: @cdbs@, autotools-dev, automake1.9, debathena-aclocal, comerr-dev, ss-dev, libkrb5-dev, libzephyr-dev, bison
+Standards-Version: 3.9.1
+
+Package: debathena-discuss
+Architecture: any
+Provides: discuss
+Depends: ${shlibs:Depends}, ${misc:Depends}, netbase
+Description: Conferencing and mail archiving system
+ Discuss is a user-interface front end to a networked conferencing 
+ system.
+
+Package: debathena-discuss-emacs
+Architecture: all
+Provides: discuss-emacs
+Depends: ${shlibs:Depends}, ${misc:Depends}, debathena-discuss (>= ${source:Version}), emacs | emacsen
+Description: Emacs interface to discuss
+ Discuss is a user-interface front end to a networked conferencing 
+ system.
+ .
+ This package contains an Emacs interface to discuss.
+
+Package: debathena-discuss-server
+Architecture: any
+Provides: discuss-server
+Pre-Depends: adduser
+Depends: ${shlibs:Depends}, ${misc:Depends}, debathena-discuss (= ${binary:Version}), libzephyr4-krb5 | libzephyr3-krb, netbase, openbsd-inetd | inet-superserver
+Description: Conferencing and mail archiving system (server)
+ Discuss is a user-interface front end to a networked conferencing 
+ system.
+ .
+ This package contains the discuss server and associated utilities.
+ Note that the 'byteswap' utility is no longer needed and is not
+ included, as modern discuss servers do this automatically.
+
+Package: debathena-libdsk-dev
+Section: debathena/libdevel
+Architecture: any
+Provides: libdsk-dev
+Depends: ${shlibs:Depends}, ${misc:Depends}, debathena-libusp-dev (= ${binary:Version}), comerr-dev, libkrb5-dev
+Description: Development files for discuss library
+ Discuss is a user-interface front end to a networked conferencing 
+ system.
+ .
+ This package contains libdsk headers and static libraries for 
+ development.
+
+Package: debathena-libusp-dev
+Section: debathena/libdevel
+Architecture: any
+Provides: libusp-dev
+Depends: ${shlibs:Depends}, ${misc:Depends}, comerr-dev
+Description: Development files for UNIX Unified Stream Protocol library
+ Discuss is a user-interface front end to a networked conferencing 
+ system.
+ .
+ This package contains libusp headers and static libraries for 
+ development.
--- debathena-discuss-10.0.15.orig/debian/debathena-discuss-emacs.install
+++ debathena-discuss-10.0.15/debian/debathena-discuss-emacs.install
@@ -0,0 +1 @@
+usr/share/emacs/site-lisp/*.el
--- debathena-discuss-10.0.15.orig/debian/debathena-discuss-emacs.emacsen-remove
+++ debathena-discuss-10.0.15/debian/debathena-discuss-emacs.emacsen-remove
@@ -0,0 +1,10 @@
+#!/bin/sh -e
+# /usr/lib/emacsen-common/packages/remove/debathena-discuss-emacs
+
+FLAVOR=$1
+PACKAGE=debathena-discuss-emacs
+
+if [ ${FLAVOR} != emacs ]; then
+    echo remove/${PACKAGE}: purging byte-compiled files for ${FLAVOR}
+    rm -rf /usr/share/${FLAVOR}/site-lisp/${PACKAGE}
+fi
--- debathena-discuss-10.0.15.orig/debian/changelog
+++ debathena-discuss-10.0.15/debian/changelog
@@ -0,0 +1,216 @@
+debathena-discuss (10.0.15-0debathena2) unstable; urgency=low
+
+  * Bump debian/compat to 6
+  * Package discuss server utilities (Trac: #881)
+  * Cleanup man pages so they don't generate errors
+  * Add missing man pages to satisfy Lintian
+  * Comply with Lintian's feelings on grammar
+  * Fix buffer overflow when re-adding meeting (Trac: #973)
+
+ -- Jonathan Reed <jdreed@mit.edu>  Thu, 13 Sep 2012 17:02:56 -0400
+
+debathena-discuss (10.0.15-0debathena1) unstable; urgency=low
+
+  * Fix FTBFS with -Werror=format-security.
+
+ -- Geoffrey Thomas <geofft@mit.edu>  Sat, 28 Apr 2012 20:36:38 -0700
+
+debathena-discuss (10.0.14-0debathena1) unstable; urgency=low
+
+  * edsc now defines and sets its own com_err hook to avoid libdsk
+    confusing emacs (Trac: 603)
+
+ -- Jonathan Reed <jdreed@mit.edu>  Sun, 25 Sep 2011 17:07:38 -0400
+
+debathena-discuss (10.0.13-0debathena2) unstable; urgency=low
+
+  * Flesh out mkds.8 and rmds.8 some more.
+
+ -- Benjamin Kaduk <kaduk@mit.edu>  Sun, 03 Jul 2011 18:31:43 -0400
+
+debathena-discuss (10.0.13-0debathena1) unstable; urgency=low
+
+  * Update our autogoo for the 21st century.
+  * Add a working distclean target.
+  * Update packaging to not require daconfiscate.
+  * Eliminate libds, as its only use could be replaced by libdsk.
+  * Check $PAGER for a pager before falling back on a compiled-in default
+    ("more" by default, but "pager" under our packaging). (Trac: #629)
+
+ -- Evan Broder <broder@mit.edu>  Sun, 27 Jun 2010 13:02:34 -0400
+
+debathena-discuss (10.0.12-0debathena3) unstable; urgency=low
+
+  * Don't depend on tcsh anymore
+
+ -- Jonathan Reed <jdreed@mit.edu>  Thu, 08 Apr 2010 22:41:16 -0400
+
+debathena-discuss (10.0.12-0debathena2) unstable; urgency=low
+
+  * Run dsc_setup on behalf of the user, like edsc does. (Trac #426)
+  * Rewrite dsc_setup in bash, because all the cool kids use it.
+
+ -- Jonathan Reed <jdreed@mit.edu>  Thu, 08 Apr 2010 21:03:07 -0400
+
+debathena-discuss (10.0.12-0debathena1) unstable; urgency=low
+
+  * Stop using the obsolete AC_TYPE_SIGNAL. (Trac: #347)
+  * Add missing manpages. (Trac: #266)
+
+ -- Evan Broder <broder@mit.edu>  Sun, 15 Nov 2009 17:35:19 -0500
+
+debathena-discuss (10.0.11-0debathena1) unstable; urgency=low
+
+  * Move the single-letter checks in trn_expr.y:yylex to the bottom of the
+    function so that they get caught after commands that start with those
+    letters. (Trac: #346)
+
+ -- Evan Broder <broder@mit.edu>  Sat, 29 Aug 2009 17:20:43 -0400
+
+debathena-discuss (10.0.10-0debathena2) unstable; urgency=low
+
+  * Depend on Kerberos-enabled zephyr instead of build-depending.
+
+ -- Evan Broder <broder@mit.edu>  Mon, 27 Jul 2009 14:38:10 -0400
+
+debathena-discuss (10.0.10-0debathena1) unstable; urgency=low
+
+  * Patch discuss server to work without krb4. Patch by Mitch Berger.
+
+ -- Evan Broder <broder@mit.edu>  Thu, 23 Jul 2009 21:00:55 -0400
+
+debathena-discuss (10.0.9-0debathena1) unstable; urgency=low
+
+  * Fix local/dumb authentication needed for mail delivery and local
+    client usage. Patch by Mitch Berger. (Trac: #274)
+  * Always build without krb4.
+
+ -- Evan Broder <broder@mit.edu>  Wed, 22 Jul 2009 22:58:40 -0400
+
+debathena-discuss (10.0.8-0debathena1) unstable; urgency=low
+
+  * Add one-character aliases to discuss. Patch by Ben Kaduk. (Trac: #238)
+  * Squash some lintian warnings by switching from ${Source-Version} to
+    ${source:Version} and ${binary:Version}
+  * Use HAVE_KRB4 and HAVE_KRB5 instead of KERBEROS and KERBEROS5.
+  * Assorted changes to make discuss work with any combination of krb4 and
+    krb5 (including neither).
+  * Always build our discuss with krb5.
+
+ -- Evan Broder <broder@mit.edu>  Mon, 18 May 2009 23:51:52 -0400
+
+debathena-discuss (10.0.7-0debathena3) unstable; urgency=low
+
+  * Configure the discuss inetd service.
+
+ -- Evan Broder <broder@mit.edu>  Thu, 05 Mar 2009 15:17:20 -0500
+
+debathena-discuss (10.0.7-0debathena2) unstable; urgency=low
+
+  * Change DEB_AUTO_UPDATE_AUTOCONF to 2.50, not 1.
+  * Remove DEB_AUTO_UPDATE_DEBIAN_CONTROL.
+  * Change "Debian-Athena Project" to "Debathena Project".
+  * Remove debian/control from version control.
+  * Clean up debian/copyright.
+
+ -- Tim Abbott <tabbott@mit.edu>  Sat, 24 Jan 2009 14:31:41 -0500
+
+debathena-discuss (10.0.7-0debathena1) unstable; urgency=low
+
+  * Revert a small part of the OS X com_err patch from 10.0.6 in favor of
+    changes to aclocal.m4
+  * Remove hard-coded paths from discuss-mode, in favor of getting them
+    from autoconf.
+  * Remove debathena-machtype as a dependency, as it's no longer needed.
+
+ -- Evan Broder <broder@mit.edu>  Fri, 09 Jan 2009 21:47:33 -0500
+
+debathena-discuss (10.0.6-0debathena1) unstable; urgency=low
+
+  [ Evan Broder ]
+  * Add com_err support for delete and discuss on OS X.
+
+  [ Anders Kaseorg ]
+  * Depend emacs | emacsen instead of emacs22 | emacs21 | emacsen, so that
+    the emacs metapackage is pulled in by default.
+
+ -- Anders Kaseorg <andersk@mit.edu>  Thu, 08 Jan 2009 16:35:04 -0500
+
+debathena-discuss (10.0.5-0debathena1) unstable; urgency=low
+
+  * Fix some trivial typos.
+
+ -- Anders Kaseorg <andersk@mit.edu>  Tue, 19 Aug 2008 16:35:07 -0400
+
+debathena-discuss (10.0.4-0debathena1) unstable; urgency=low
+
+  * Fix a crash bug in edsc on 64-bit platforms.
+  * Fix date display in discuss on 64-bit platforms.
+
+ -- Greg Hudson <ghudson@mit.edu>  Mon, 30 Jun 2008 12:50:56 -0400
+
+debathena-discuss (10.0.3-0debathena1) unstable; urgency=low
+
+  * Fix a crash bug in edsc (int/long mismatch in short_time).
+  * Put edsc crash dumps in /tmp instead of /usr/tmp.
+
+ -- Greg Hudson <ghudson@mit.edu>  Wed, 11 Jun 2008 19:39:38 -0400
+
+debathena-discuss (10.0.2-0debathena1) unstable; urgency=low
+
+  * Stop assuming that long is 32 bits.
+  * Start assuming that int is 32 bits.
+
+ -- Greg Hudson <ghudson@mit.edu>  Wed, 11 Jun 2008 16:29:35 -0400
+
+debathena-discuss (10.0.1-0debathena1) unstable; urgency=low
+
+  * Fix obsolete names for Kerberos library functions, which no longer
+    worked on Mac OS X.  Patch from broder.
+
+ -- Anders Kaseorg <andersk@mit.edu>  Sun, 06 Apr 2008 19:25:13 -0400
+
+debathena-discuss (10.0.0-0debathena2) unstable; urgency=low
+
+  * Actually use SERVERDIR, BINDIR, and INFODIR in config.h.sed.  (The
+    Makefile already interpolates these variables.)
+
+ -- Anders Kaseorg <andersk@mit.edu>  Sun, 06 Apr 2008 17:28:52 -0400
+
+debathena-discuss (10.0.0-0debathena1) unstable; urgency=low
+
+  * Merged quilt patches into mainline Athena tree
+
+ -- Shreevatsa R <vatsa@mit.edu>  Sun,  6 Apr 2008 15:54:22 -0400
+
+debathena-discuss (9.4.41-0debathena2) unstable; urgency=low
+
+  * Add emacs22 as a default alternative to emacs21 | emacsen.
+
+ -- Anders Kaseorg <andersk@mit.edu>  Mon, 29 Oct 2007 21:40:29 -0400
+
+debathena-discuss (9.4.41-0debathena1) unstable; urgency=low
+
+  * New upstream release supporting Kerberos 5.
+
+ -- Anders Kaseorg <andersk@mit.edu>  Thu, 23 Aug 2007 14:28:28 -0400
+
+debathena-discuss (9.4.30-0debathena3) unstable; urgency=low
+
+  * Section: debathena/net.
+
+ -- Anders Kaseorg <andersk@mit.edu>  Tue, 17 Jul 2007 06:33:41 -0400
+
+debathena-discuss (9.4.30-0debathena2) unstable; urgency=low
+
+  * Move edsc to debathena-discuss package.
+  * Don't link libreadline, because libss is stupid and tries to do so at
+    runtime.
+
+ -- Anders Kaseorg <andersk@mit.edu>  Tue, 17 Jul 2007 03:37:48 -0400
+
+debathena-discuss (9.4.30-0debathena1) unstable; urgency=low
+
+  * Initial release.
+
+ -- Anders Kaseorg <andersk@mit.edu>  Tue, 30 Jan 2007 22:57:54 -0500
--- debathena-discuss-10.0.15.orig/debian/rules
+++ debathena-discuss-10.0.15/debian/rules
@@ -0,0 +1,19 @@
+#!/usr/bin/make -f
+
+DEB_AUTO_UPDATE_AUTOCONF = 2.50
+include /usr/share/cdbs/1/rules/debhelper.mk
+include /usr/share/cdbs/1/class/autotools.mk
+
+debian/stamp-autotools-files: aclocal.m4 config.guess config.sub install-sh missing
+aclocal.m4:
+	aclocal-1.9
+config.guess config.sub:
+	cp /usr/share/misc/$@ $@
+install-sh missing:
+	-automake-1.9 --foreign --add-missing
+
+DEB_CONFIGURE_EXTRA_FLAGS += --without-krb4 --with-krb5 --with-zephyr --with-pager=/usr/bin/pager
+DEB_DH_INSTALL_SOURCEDIR = $(DEB_DESTDIR)
+
+clean::
+	rm -f configure config.guess config.sub aclocal.m4 install-sh missing
--- debathena-discuss-10.0.15.orig/debian/debathena-discuss-emacs.emacsen-startup
+++ debathena-discuss-10.0.15/debian/debathena-discuss-emacs.emacsen-startup
@@ -0,0 +1,24 @@
+;; -*-emacs-lisp-*-
+;;
+;; Emacs startup file, e.g.  /etc/emacs/site-start.d/50debathena-discuss-emacs.el
+;; for the Debian debathena-discuss-emacs package
+;;
+;; Originally contributed by Nils Naumann <naumann@unileoben.ac.at>
+;; Modified by Dirk Eddelbuettel <edd@debian.org>
+;; Adapted for dh-make by Jim Van Zandt <jrv@debian.org>
+
+;; The debathena-discuss-emacs package follows the Debian/GNU Linux 'emacsen' policy and
+;; byte-compiles its elisp files for each 'emacs flavor' (emacs19,
+;; xemacs19, emacs20, xemacs20...).  The compiled code is then
+;; installed in a subdirectory of the respective site-lisp directory.
+;; We have to add this to the load-path:
+(let ((package-dir (concat "/usr/share/"
+                           (symbol-name flavor)
+                           "/site-lisp/debathena-discuss-emacs")))
+;; If package-dir does not exist, the debathena-discuss-emacs package must have
+;; removed but not purged, and we should skip the setup.
+  (when (file-directory-p package-dir)
+        (setq load-path (cons package-dir load-path))
+       (autoload 'discuss "discuss"
+           "Enter discuss mode for emacs and list meetings." t)))
+
--- debathena-discuss-10.0.15.orig/debian/debathena-discuss-server.install
+++ debathena-discuss-10.0.15/debian/debathena-discuss-server.install
@@ -0,0 +1,6 @@
+usr/bin/create_mtg_dir
+usr/sbin/discussd
+usr/sbin/disserve
+usr/lib/debathena-discuss/recover
+usr/lib/debathena-discuss/expunge
+usr/lib/debathena-discuss/disdebug
--- debathena-discuss-10.0.15.orig/debian/debathena-libusp-dev.install
+++ debathena-discuss-10.0.15/debian/debathena-libusp-dev.install
@@ -0,0 +1,2 @@
+usr/include/usp
+usr/lib/libusp.a
--- debathena-discuss-10.0.15.orig/debian/debathena-discuss-server.dirs
+++ debathena-discuss-10.0.15/debian/debathena-discuss-server.dirs
@@ -0,0 +1 @@
+var/spool/discuss
--- debathena-discuss-10.0.15.orig/debian/debathena-discuss-emacs.emacsen-install
+++ debathena-discuss-10.0.15/debian/debathena-discuss-emacs.emacsen-install
@@ -0,0 +1,38 @@
+#! /bin/sh -e
+# /usr/lib/emacsen-common/packages/install/debathena-discuss-emacs
+
+# Written by Jim Van Zandt <jrv@debian.org>, borrowing heavily
+# from the install scripts for gettext by Santiago Vila
+# <sanvila@ctv.es> and octave by Dirk Eddelbuettel <edd@debian.org>.
+
+FLAVOR=$1
+PACKAGE=debathena-discuss-emacs
+
+if [ ${FLAVOR} = emacs ]; then exit 0; fi
+
+echo install/${PACKAGE}: Handling install for emacsen flavor ${FLAVOR}
+
+#FLAVORTEST=`echo $FLAVOR | cut -c-6`
+#if [ ${FLAVORTEST} = xemacs ] ; then
+#    SITEFLAG="-no-site-file"
+#else
+#    SITEFLAG="--no-site-file"
+#fi
+FLAGS="${SITEFLAG} -q -batch -l path.el -f batch-byte-compile"
+
+ELDIR=/usr/share/emacs/site-lisp
+ELCDIR=/usr/share/${FLAVOR}/site-lisp/${PACKAGE}
+
+install -m 755 -d ${ELCDIR}
+cd ${ELDIR}
+FILES=`echo discuss*.el`
+cp ${FILES} ${ELCDIR}
+cd ${ELCDIR}
+
+cat << EOF > path.el
+(setq load-path (cons "." load-path) byte-compile-warnings nil)
+EOF
+${FLAVOR} ${FLAGS} ${FILES}
+rm -f *.el path.el
+
+exit 0
--- debathena-discuss-10.0.15.orig/debian/debathena-discuss.install
+++ debathena-discuss-10.0.15/debian/debathena-discuss.install
@@ -0,0 +1,13 @@
+usr/bin/crmtgs
+usr/bin/discuss
+usr/bin/dsc_setup
+usr/bin/dsgrep
+usr/bin/dsmail
+usr/bin/dspipe
+usr/bin/mkds
+usr/bin/pmtg
+usr/bin/rmds
+usr/lib/debathena-discuss/edsc
+usr/share/discuss
+usr/share/man/man1/*.1
+usr/share/man/man8/*.8
--- debathena-discuss-10.0.15.orig/debian/debathena-libdsk-dev.install
+++ debathena-discuss-10.0.15/debian/debathena-libdsk-dev.install
@@ -0,0 +1,2 @@
+usr/include/discuss
+usr/lib/libdsk.a
--- debathena-discuss-10.0.15.orig/debian/debathena-discuss.postinst
+++ debathena-discuss-10.0.15/debian/debathena-discuss.postinst
@@ -0,0 +1,46 @@
+#!/bin/sh
+# postinst script for debathena-discuss
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <postinst> `configure' <most-recently-configured-version>
+#        * <old-postinst> `abort-upgrade' <new version>
+#        * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+#          <new-version>
+#        * <postinst> `abort-remove'
+#        * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+#          <failed-install-package> <version> `removing'
+#          <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+    configure)
+	if ! grep -q '^discuss[[:space:]]' /etc/services; then
+	    cat <<EOF >>/etc/services
+discuss		2100/tcp			# Networked conferencing.
+EOF
+	fi
+	;;
+
+    abort-upgrade|abort-remove|abort-deconfigure)
+	;;
+
+    *)
+        echo "postinst called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+
--- debathena-discuss-10.0.15.orig/debian/debathena-discuss-server.postinst
+++ debathena-discuss-10.0.15/debian/debathena-discuss-server.postinst
@@ -0,0 +1,55 @@
+#!/bin/sh
+# postinst script for debathena-discuss
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <postinst> `configure' <most-recently-configured-version>
+#        * <old-postinst> `abort-upgrade' <new version>
+#        * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+#          <new-version>
+#        * <postinst> `abort-remove'
+#        * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+#          <failed-install-package> <version> `removing'
+#          <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+    configure)
+	if ! grep -q '^discuss[[:space:]]' /etc/services; then
+	    echo "Discuss		2100/tcp			# Networked conferencing." >>/etc/services
+	fi
+        update-inetd --add "discuss\tstream\ttcp\tnowait\tdiscuss\t/usr/sbin/discussd"
+	if ! getent passwd discuss >/dev/null; then
+	    adduser --system --no-create-home --disabled-password --home /var/spool/discuss --gecos "Discuss server" --group discuss
+	fi
+	if ! dpkg-statoverride --list /usr/sbin/disserve >/dev/null; then
+	    chown discuss:discuss /usr/sbin/disserve
+	    chmod a=rx,u+ws /usr/sbin/disserve
+	fi
+	if ! dpkg-statoverride --list /var/spool/discuss >/dev/null; then
+	    chown discuss:discuss /var/spool/discuss
+	fi
+    ;;
+
+    abort-upgrade|abort-remove|abort-deconfigure)
+    ;;
+
+    *)
+        echo "postinst called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+
--- debathena-discuss-10.0.15.orig/debian/debathena-discuss-server.prerm
+++ debathena-discuss-10.0.15/debian/debathena-discuss-server.prerm
@@ -0,0 +1,44 @@
+#!/bin/sh
+# prerm script for #PACKAGE#
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <prerm> `remove'
+#        * <old-prerm> `upgrade' <new-version>
+#        * <new-prerm> `failed-upgrade' <old-version>
+#        * <conflictor's-prerm> `remove' `in-favour' <package> <new-version>
+#        * <deconfigured's-prerm> `deconfigure' `in-favour'
+#          <package-being-installed> <version> `removing'
+#          <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+    remove)
+        update-inetd --disable discuss
+    ;;
+
+    upgrade|deconfigure)
+        ;;
+
+    failed-upgrade)
+    ;;
+
+    *)
+        echo "prerm called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+
--- debathena-discuss-10.0.15.orig/debian/debathena-discuss-server.postrm
+++ debathena-discuss-10.0.15/debian/debathena-discuss-server.postrm
@@ -0,0 +1,51 @@
+#!/bin/sh
+# postrm script for debathena-discuss-server
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <postrm> `remove'
+#        * <postrm> `purge'
+#        * <old-postrm> `upgrade' <new-version>
+#        * <new-postrm> `failed-upgrade' <old-version>
+#        * <new-postrm> `abort-install'
+#        * <new-postrm> `abort-install' <old-version>
+#        * <new-postrm> `abort-upgrade' <old-version>
+#        * <disappearer's-postrm> `disappear' <overwriter>
+#          <overwriter-version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+    purge)
+	if getent passwd discuss >/dev/null; then
+	    deluser --system discuss || :
+	fi
+    ;;
+
+    remove)
+        if hash update-inetd 2>/dev/null; then
+            update-inetd --remove "(#<off># )?discuss"
+        fi
+    ;;
+
+    upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)
+    ;;
+
+    *)
+        echo "postrm called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+
--- debathena-discuss-10.0.15.orig/dsgrep/dsgrep.1
+++ debathena-discuss-10.0.15/dsgrep/dsgrep.1
@@ -1,6 +1,6 @@
-...
-... $Id: dsgrep.1,v 1.5 2001-02-28 20:43:54 ghudson Exp $
-...
+.\"
+.\" $Id: dsgrep.1,v 1.5 2001-02-28 20:43:54 ghudson Exp $
+.\"
 .TH DSGREP 1 "18 Jun 1990"
 .ds ]W MIT Project Athena
 .SH NAME
--- debathena-discuss-10.0.15.orig/server/Makefile.in
+++ debathena-discuss-10.0.15/server/Makefile.in
@@ -13,6 +13,7 @@
 exec_prefix=@exec_prefix@
 bindir=@bindir@
 sbindir=@sbindir@
+libexecdir=@libexecdir@
 
 CC=@CC@
 DEFS=@DEFS@
@@ -44,8 +45,12 @@
 
 install:
 	${MKDIR_P} ${DESTDIR}${sbindir}
+	${MKDIR_P} ${DESTDIR}${libexecdir}
 	${INSTALL_PROGRAM} discussd ${DESTDIR}${sbindir}
 	${INSTALL_PROGRAM} disserve ${DESTDIR}${sbindir}
+	${INSTALL_PROGRAM} recover ${DESTDIR}${libexecdir}
+	${INSTALL_PROGRAM} expunge ${DESTDIR}${libexecdir}
+	${INSTALL_PROGRAM} disdebug ${DESTDIR}${libexecdir}
 
 discussd: $(DISCUSSD_OBJS)
 	${CC} ${LDFLAGS} -o $@ $(DISCUSSD_OBJS) ${LIBS}
--- debathena-discuss-10.0.15.orig/client/addmtg.c
+++ debathena-discuss-10.0.15/client/addmtg.c
@@ -368,7 +368,8 @@
 	int *code;
 {
 	name_blk *nbp,temp_nb;
-	char question[100];
+	const char *prompt = "Meeting %s already exists.\nDo you wish to delete the old one and add the new one? ";
+	char *question = NULL;
 	int j;
 
 	/* see if we're already attending... */
@@ -382,14 +383,20 @@
 	for (j = 0; new_nbp->aliases[j] != NULL; j++) {
 	     dsc_get_mtg (user_id, new_nbp->aliases[j], &temp_nb, code);
 	     if (*code == 0) {				/* already exists */
-		  sprintf (question, "Meeting %s already exists.\nDo you wish to delete the old one and add the new one? ",new_nbp -> aliases[j]);
+	          question = malloc(strlen(prompt) - 2 + strlen(new_nbp -> aliases[j]) + 1);
+		       if (! question) {
+			    fprintf(stderr, "Couldn't malloc.  Too bad...");
+			    return;
+		       }
+		  sprintf (question, prompt, new_nbp -> aliases[j]);
 		  if (!command_query (question)) {
 		       printf ("Meeting not added.\n");
 		       dsc_destroy_name_blk (&temp_nb);
 		       *code = DISC_ACTION_NOT_PERFORMED;
+		       free(question);
 		       return;
 		  }
-
+		  free(question);
 		  del_the_mtg (&temp_nb, code);
 		  if (*code != 0) {
 		       dsc_destroy_name_blk (&temp_nb);
